CrossOver Support

Missing libcups 32-bit library


Description


Most Unix systems manage the printers through CUPS, the Common Unix Printing System. In order to access these printers, CrossOver needs the libcups 32-bit library.

If this library is missing Windows applications will still work. However you may find that they don't see any printer and are thus unable to print. So this library is particularly important for all office-type applications.

Resolution


To install this library, run one of the following commands as root, or look for the corresponding package names in your favorite package manager:

    32-bit Debian or Ubuntu : apt-get install libcups2
    64-bit Debian or Ubuntu : apt-get install libcups2:i386
    32/64-bit Fedora : dnf install cups-libs.i686
    32/64-bit Mandriva : urpmi libcups2
    32-bit SUSE : zypper install cups-libs
    64-bit SUSE : zypper install cups-libs-32bit
    32-bit Arch : pacman -Syu libcups
    64-bit Arch : pacman -Syu lib32-libcups
Last modified on 2015-06-01 10:50:30 by Caron Wills
Are you sure you want to delete this page?
Note: Any nested pages that are under this one will be moved up one level. Any attachments tied to this page will be deleted.
Move / Rename Page
Unknown Error, unable to move!
That page exists already!
One or more of the parent pages specified in new path do not exist!
/support/wiki/ /support/wiki/Diag/MissingLibCups
Please Wait...
eyJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTM2NjA4NDkzfQ==